package ru.yandex.webmaster3.storage.util.ydb.exception;

import ru.yandex.webmaster3.core.http.WebmasterErrorResponse;
import ru.yandex.webmaster3.storage.WebmasterStorageException;

/**
 * ishalaru
 * 17.07.2020
 **/
public class InvalidQueryParameters extends WebmasterStorageException {
    public InvalidQueryParameters(String message) {
        super(message);
    }

    @Override
    protected WebmasterErrorResponse errorResponse(Class cls) {
        return new WebmasterErrorResponse.YDBErrorResponse(cls, this);
    }
}
